FORMAX DEVELOPER API
  1. Insurance POSP API
  • Explore Our API Suite
  • Balance API
    • Main Wallet Balance
      POST
    • Main Wallet Balance
      GET
  • Outlet API
    • Onboard
      POST
    • Fetch by Outlet ID
      POST
  • PPI Fund Transfer API
    • Generate OTP
      POST
    • Verify OTP
      POST
    • Generate Aadhaar OTP
      POST
    • Resend Aadhaar OTP
      POST
    • Verify Aadhaar OTP
      POST
    • Verify PAN
      POST
    • Beneficiary List
      POST
    • Add Beneficiary
      POST
    • Delete Beneficiary
      POST
    • Validate Delete Beneficiary
      POST
    • Fund Transfer Generate OTP
      POST
    • Fund Transfer Verify OTP
      POST
    • Fund Transfer Status
      POST
    • Refund Generate OTP
      POST
    • Refund Verify OTP
      POST
  • Recharge API
    • Recharge Transaction
      POST
    • Recharge Transaction
      GET
    • Recharge Callback
    • Recharge Status
      GET
    • Complaint
      GET
    • Operator List
      GET
  • Bill Payment API
    • Category List
    • Operator List
    • Bill Fetch
    • Bill Payment
    • Transaction Status
  • NSDL E-KYC PAN Card API
    • Get Authorization API
    • Redirect URL
    • Incomplete URL
    • Response
    • Transaction Status
    • PAN Status
    • Android SDK
  • UTI PAN Card API
    • PSA Registration
    • PSA Registration Callback
    • Credentials
    • Buy Coupon
    • PAN Coupon Callback Response
    • Transaction Status
  • Insurance POSP API
    • Generate Redirect URL
      POST
    • Fetch Balance
      POST
    • Wallet Debit
      POST
    • Payout
      POST
  • Gift Voucher API
    • Brand List
    • Pull Voucher
    • Transaction Status
  • Verification API
    • PAN Verification
  • UPI Payment Gateway API
    • UPI Intent
    • Tranaction Status
    • UPI Payment Callback
  • Prepaid Card SDK
    • Get Authorization
    • Web SDK Redirect URL
  • Credit Card, Bank Account & Demat Account Lead API
    • Fetch All Products
    • Create Lead
    • Lead Status
    • Lead Payout Callback
  1. Insurance POSP API

Wallet Debit

POST
https://www.yourdomain.com/insurance_dekho/wallet_debit
This API is implemented by the partner and is called by Formax servers to debit the wallet balance of an outlet agent for an InsuranceDekho transaction.
The debit is performed before policy initiation and transaction validation.
Note: This is a server-to-server API call initiated by Formax, not a Formax public API.

Request

Body Params application/jsonRequired

Examples

Responses

🟢200Success
application/json
Body

Request Request Example
Shell
JavaScript
Java
Swift
curl --location --request POST 'https://www.yourdomain.com/insurance_dekho/wallet_debit' \
--header 'Content-Type: application/json' \
--data-raw '{
    "outlet_id": "FORMAX01",
    "order_id": "ID76196289062500HRANY",
    "id_order_id": "e24dac7b21",
    "txn_amount": "843",
    "customer_info": {
        "first_name": "ALEX",
        "last_name": "HALEX",
        "email": "alexhalex01@gmail.com",
        "mobile": "9999888777"
    }
}'
Response Response Example
{
    "response_code": 200,
    "response_message": "Transaction Successful"
}
Modified at 2025-12-24 12:08:27
Previous
Fetch Balance
Next
Payout
Built with